- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Properties

# QCommandLinkButton Class Reference

Search for all occurrences

## Detailed Description

Definition at line 55 of file qcommandlinkbutton.h.

`#include <qcommandlinkbutton.h>`

Inheritance diagram for QCommandLinkButton:
[legend]

List of all members.

## Public Member Functions
| QCommandLinkButton (QWidget *parent=0)
| QCommandLinkButton (const QString &text, QWidget *parent=0)
| QCommandLinkButton (const QString &text, const QString &description, QWidget *parent=0)
QString | description () const
void | setDescription (const QString &description)
## Protected Member Functions
QSize | sizeHint () const
int | heightForWidth (int) const
QSize | minimumSizeHint () const
bool | event (QEvent *e)
void | paintEvent (QPaintEvent *)
## Properties
QString | description
bool | flat

## Constructor & Destructor Documentation

QCommandLinkButton | ( | QWidget * | parent = `0` | ) | `[explicit]`

QCommandLinkButton | ( | const QString & | text,
|  | QWidget * | parent = `0`
| ) |  | `[explicit]`

QCommandLinkButton | ( | const QString & | text,
|  | const QString & | description,
|  | QWidget * | parent = `0`
| ) |  |

## Member Function Documentation

QString description | ( |  | ) | const

Search for all occurrences

void setDescription | ( | const QString & | description | ) |

Search for all occurrences

QSize sizeHint | ( |  | ) | const `[protected, virtual]`

Search for all occurrences

Reimplemented from QPushButton.

int heightForWidth | ( | int |  | ) | const `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

QSize minimumSizeHint | ( |  | ) | const `[protected, virtual]`

Search for all occurrences

Reimplemented from QPushButton.

bool event | ( | QEvent * | e | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QPushButton.

void paintEvent | ( | QPaintEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QPushButton.

## Property Documentation

QString description `[read, write]`

Search for all occurrences

Definition at line 59 of file qcommandlinkbutton.h.

bool flat `[read, write]`

Search for all occurrences

Reimplemented from QPushButton.

Definition at line 60 of file qcommandlinkbutton.h.

The documentation for this class was generated from the following file:

- QtGui/qcommandlinkbutton.h

QCommandLinkButton QCommandLinkButton QCommandLinkButton QCommandLinkButton QCommandLinkButton QCommandLinkButton QCommandLinkButton QCommandLinkButton QCommandLinkButton QCommandLinkButton
QCommandLinkButton QCommandLinkButton QCommandLinkButton QCommandLinkButton QCommandLinkButton QCommandLinkButton QCommandLinkButton QCommandLinkButton QCommandLinkButton QCommandLinkButton